System.Configuration.Install 1.0.5000.0 2.0.0.0 System.Configuration.Install.Installer To be added.

Loads an assembly, and runs all the installers in it.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class, and specifies both the assembly to install and the command line to use when creating a new object.

  The to install.
  The command line to use when creating a new object for the assembly's installation. Can be a null value.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class, and specifies both the file name of the assembly to install and the command line to use when creating a new object for the assembly's installation.

  The file name of the assembly to install.
  The command line to use when creating a new object for the assembly's installation. Can be a null value.
  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.Assembly To be added. To be added.

  Gets or sets the assembly to install.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method determines whether the specified assembly can be installed. To avoid an exception being thrown, the file must meet the following criteria:

  The file exists.

  The file is a .NET Framework assembly.

  The public types can be read from the file.

  There is at least one public, non abstract class that extends the class and contains the attribute.

  An instance of each installer can be created.

  If the assembly is valid but contains no installers, an exception is thrown. This behavior differs from that at install time, when it is not an error to install an empty assembly.

  Checks to see if the specified assembly can be installed.

  The assembly in which to search for installers. 1.0.5000.0 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets or sets the command line to use when creating a new object for the assembly's installation.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called only if the methods of all the installers in this instance's succeed. This method then calls the method of each installer in the collection.

  Store any information that you might need to do a correct uninstall operation in the saved-state , which is passed to the method.

  Completes the installation transaction.

  An that contains the state of the computer after all the installers in the installer collection have run. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added.

  An example of an installation program is the InstallUtil.exe utility.

  Gets the help text for all the installers in the installer collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method calls the method of each installer contained in the property of this instance. The object specified by the parameter is updated to reflect the status of the installation after the contained installers have run. If all the methods succeed, the method is called. Otherwise, the method is called.

  Performs the installation.

  An used to save information needed to perform a commit, rollback, or uninstall operation. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the path of the assembly to install.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  A rollback restores the computer to the state it was in before the installation occurred. The method is called if the method of this instance or of any installer in the installer collection fails to run correctly. Any exceptions generated by calling the method of an installer in the collection are ignored, and the rollback of the other installers continues.

  Restores the computer to the state it was in before the installation.

  An that contains the pre-installation state of the computer. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Call this method to remove a previously completed installation. If the method fails for one of the installers in the collection, it is still called for the remaining installers. A failed uninstallation does not roll back the computer to its pre-uninstallation state.

  Although the and methods save the state of the computer after the installations, the file containing the from the parameter might have been deleted at some point after the installation was complete. If the file is deleted, the parameter is null.

  Removes an installation.

  An that contains the post-installation state of the computer. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added.

  Setting this property to true creates a new file named "{Assembly name}.InstallLog" to log messages for this assembly. Setting to false prevents the new file from being created.

  Gets or sets a value indicating whether to create a new object for the assembly's installation.

  1.0.5000.0
  2.0.0.0